#include <rtt/types/StructTypeInfo.hpp>
#include <rtt/types/TemplateConstructor.hpp>
#include <ostream>
#include <istream>

#include "MyTypekit.h"

namespace TypekitTest
{

std::string MyTypekitPlugin::getName()
{
    return "My-types";
}

bool MyTypekitPlugin::loadTypes()
{
    RTT::types::Types()->addType(new InertiaTypeInfo());
}

bool MyTypekitPlugin::loadConstructors()
{
    RTT::types::Types()->type("Inertia")->addConstructor(RTT::types::newConstructor(&createInertia));
}

bool MyTypekitPlugin::loadOperators()
{

}

} // namespace AUVSim


ORO_TYPEKIT_PLUGIN(TypekitTest::MyTypekitPlugin);

