#include <rtt/TaskContext.hpp>
#include <ocl/Component.hpp>
#include "../typekit/Inertia.h"

using namespace RTT;

class TestComponent : public TaskContext
{
public:

    TestComponent(const std::string& name) : TaskContext(name)
    {
        this->addProperty("myProp", myProp).doc("myProp");
    }

    Property<TypekitTest::Inertia> myProp;

};

ORO_CREATE_COMPONENT(TestComponent)

